local converter_formspec = [[
size[6,8]
list[current_player;main;0,2;6,6]
]]
core.register_node("machines:converter", {
	description = "Converter",
	tiles = {"machine.png"},
	groups = {oddly_breakable_by_hand = 1},
	on_construct = function(pos)
		local meta = core.get_meta(pos)
		meta:set_string("formspec", converter_formspec)
	end
})
core.register_tool("machines:hand_carver", {
	description = "Hand carver",
	inventory_image = "carver.png",
	on_use = function(itemstack, user, pointed_thing)
		if pointed_thing.type ~= "node" then return end
		if core.get_node(pointed_thing.under).name ~= "nodes:stone" then return end
		core.set_node(pointed_thing.under, {name="machines:converter"})
	end
})
